Loading...
Searching...
No Matches
rtr_mgr_group Struct Reference
RTR connection manager

`#include "rtr_mgr.h"`

## Data Fields

uint8_t | preference
struct rtr_socket ** | sockets
unsigned int | sockets_len
enum rtr_mgr_status | status

## Detailed Description

Parameters

  sockets | Array of rtr_socket pointer. The tr_socket element of the rtr_socket must be associated with an initialized # transport socket.
  sockets_len | Number of elements in the sockets array.
  preference | The preference value of this group. Groups with lower preference values are preferred.
  status | Status of the group.

Examples
  rtr_mgr.c.